### Method

# Gtk Widget has_default

#### Declaration [src]

    gboolean
    gtk_widget_has_default (
      GtkWidget* widget
    )

#### Description [src]

Determines whether `widget` is the current default widget within its toplevel.

Gets property | `Gtk.Widget:has-default`

#### Return value

Type: `gboolean`

`TRUE` if `widget` is the current default widget within its toplevel, `FALSE` otherwise.